Bug 469655 - (CVE-2008-4863) CVE-2008-4863 blender: untrusted python modules search path
CVE-2008-4863 blender: untrusted python modules search path
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=?
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 04:27 EST by Tomas Hoger
Modified: 2008-12-03 02:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-03 02:30:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-11-03 04:27:52 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4863 to the following vulnerability:

Untrusted search path vulnerability in BPY_interface in Blender 2.46
allows local users to execute arbitrary code via a Trojan horse Python
file in the current working directory, related to an erroneous setting
of sys.path by the PySys_SetArgv function.

References:
http://www.openwall.com/lists/oss-security/2008/10/27/1
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503632
Comment 1 Tomas Hoger 2008-11-03 04:29:40 EST
Proposed patch that sanitizes sys.path before loading modules is attached in the Debian bug report:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503632#10
Comment 2 Fedora Update System 2008-11-03 12:27:15 EST
blender-2.48a-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/blender-2.48a-4.fc9
Comment 3 Fedora Update System 2008-11-03 12:45:27 EST
blender-2.48a-4.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/blender-2.48a-4.fc8
Comment 4 Fedora Update System 2008-11-11 21:54:22 EST
blender-2.48a-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-11-11 22:01:26 EST
blender-2.48a-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Chris Schanzle 2008-11-12 10:22:07 EST
Could the EPEL 5 version be updated also?  It's version is blender-2.45-13.el5.  Much appreciated!  [Sorry if this is not the appropriate place to request.]
Comment 7 Jochen Schmitt 2008-11-13 11:28:53 EST
Should be fixed in blender-2.45a-14.el5
Comment 8 Chris Schanzle 2008-11-20 11:44:40 EST
When is blender-2.45a-14.el5 expected in EPEL?  (don't mean to be a nag, just curious)
Comment 9 Jochen Schmitt 2008-11-20 12:44:20 EST
Sorry, It should be blender-2.45-14.el5. I have checked for existance of the package in the testing part of the EL-5 repository.
Comment 10 Tomas Hoger 2008-11-26 04:07:07 EST
blender-2.48a-4.fc10 did not make it to F10 before freeze, so will need to be submitted as update via bodhi.
Comment 11 Fedora Update System 2008-11-26 10:10:29 EST
blender-2.48a-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/blender-2.48a-4.fc10
Comment 12 Fedora Update System 2008-12-02 20:30:34 EST
blender-2.48a-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.